Bug 870499 - Incomplete man page for lvm.conf
Incomplete man page for lvm.conf
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: LVM and device-mapper development team
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-26 12:36 EDT by Matthias Clasen
Modified: 2015-09-24 09:22 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-24 09:22:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Clasen 2012-10-26 12:36:14 EDT
Coming out of bug 870207:

The man page for lvmetad states:

       By  default,  lvmetad,  even  if  running,  is  not  used  by  LVM. See
       lvm.conf(5).

But lvm.conf doesn't contain any information about lvmetad. The config file itself has some comments about the use_lvmetad option. That should be folded into lvm.conf(5).
Comment 1 Fedora End Of Life 2013-12-21 04:12:38 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 07:44:22 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Jan Kurik 2015-07-15 10:57:50 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23
Comment 4 Peter Rajnoha 2015-09-24 09:22:38 EDT
We've enhanced the original "lvm dumpconfig" command (accessible also via "lvmconfig" or "lvm config" aliases) which can display the necessary documentation by using --withcomments option, for example:

  (for default values)
  lvmconfig --type default --withcomments

Also, we've added references to "lvmconfig" command in lvm.conf man page instead of making the copy of the text that is already in lvmconfig output (or in /etc/lvm/lvm.conf directly - lvmconfig is used to generate the lvm.conf now as well).

This is available since lvm2 v2.02.119.

Note You need to log in before you can comment on or make changes to this bug.